[ADMIN] AdminsCanFly v1.3.0 - Allow select bypassing of the default flight kicking [1060]

Discussion in 'Inactive/Unsupported Plugins' started by Lappy, Jul 27, 2011.

  1. Offline

    Lappy

    AdminsCanFly
    Allow select bypassing of the default flight kicking

    Allow OPs and users with the superperms permission to bypass the default flight kicking (allow-flight=false).

    If Permissions 2+ has been detected you have the ability to disable OPs being allowed to fly by default, just alter "auto-op" in config.yml.

    Permissions
    Permission nodes (Supports SuperPerms and Permissions 2+)
    Code:
    adminscanfly.allow
    Install Tutorial
    Thanks to IAMWIN for making the tutorial.


    Bukkit
    Download - v1.3.0
    Download - Dev

    Spout
    Download - v1.3.0
    Download - Dev

    ChangeLog
    Code:
    1.3.0 (24/08/11) - Built against the 1060 Bukkit API, hopefully fixed issues with the plugin not working like it should
    1.2.1 (01/08/11) - Added config.yml with property "auto-op", used when Permissions 2+ is detected
    1.2.0 (29/07/11) - Added Permissions 2+ support and neatened permissions checking code
    1.1.0 (27/07/11) - Fixed console spam caused by default kick message
    1.0.2 (27/07/11) - Initial release
     
    Chike, lastern, TimboHSV and 2 others like this.
  2. Offline

    Rensik

    error: Kick Warning spam in console while allowed players are flying.
     
  3. Offline

    Semirotta

    dl broken
     
  4. Offline

    Tmas

    Can you add support for permissions 3? I thought this plugin would be exactly what I needed until I found out it didn't support the permissions plugin I use...
     
  5. Offline

    lauris3722

    Kicking for flying @ 1060
     
  6. Offline

    Holzbunker-City

    Hey dude
    this Plugin is awsome but the download link is down.
    can you make a new one pls ?
     
  7. Offline

    Lappy

    Sorry guys, the thread stopped sending me email updates.
    @joeyismusic the plugin touches -NOTHING- related to chunk loading or chunk manipulation functions, that's simply lag.

    Download link is fixed, please tell me if the plugin does have any errors and I'll work on fixing them once I can get my development computer fixed.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 18, 2016
  8. Offline

    Asraeh

    Can you remove this message pls
    Message.jpg
     
  9. Offline

    Lappy

    That message is nothing to do with this plugin, this plugins' node is "adminscanfly.allow"
     
  10. Offline

    Asraeh

    Oh you are right this is from DefaultCommands
     
  11. Offline

    Sekky

    Hey Lappy,

    I'm also getting the chat spam about allowed players being kicked.

    http://pastebin.com/VnjkWUgB

    Also, I am using spout, but this error also happened without spout installed.
     
  12. Offline

    Lappy

    Looks like that could be to do with PermissionsBukkit, could you try it without that? If it's still the same I'll look into a fix.
     
  13. Offline

    HexedGoth

    are you going to update this to 1060?
     
  14. Offline

    Sekky

    Hey Lappy,
    It worked fine without PermissionsBukkit, but alternative permission systems are no longer an option. Perhaps it is a problem with superpermsbridge? I suppose I will go post on the PermissionsBukkit page too. I would be eternally grateful to you if you looked into it.
     
  15. Offline

    Th3Controller

    Does this support PermissionsEx PermissionsBridge? If not please add PermissionsEx support would really appreciate it mate. Btw this is better than anti-cheating plugins cause this actually prevents them from flying but not the people who has MagicCarpet or "/fly"
     
  16. Offline

    HexedGoth

    anyone does this work on RB 1060?
     
  17. Offline

    toro_m16

    i got a problem here.
    im still getting kicked for flying in my server.
    im using Permissions 3.x, i put the node for admins group correctly but im still getting kicked with allow_flight set to false.
     
  18. Offline

    Lappy

    This should work correctly with 1060 since none of the API this relies on has changed.
     
  19. Offline

    HexedGoth

    ok ill test it soon and get back to you.
     
  20. Offline

    mcanusrules

    Nope. I'm getting kicked for flying. Just upgraded from 1000 to 1060, both with 1.2.1 of ACF.
     
  21. Offline

    Lappy

    Ok, I'll rebuild against the new API later today, thanks for informing me.
     
  22. Offline

    HexedGoth

    yea same as mcanusrules
     
  23. Offline

    adenslayer

    Cant wait :)
     
  24. Offline

    toro_m16

    please
    the admins can fly is not working here.
    help
     
  25. Offline

    Lappy

    If you'd have read the recent replies you'd have noticed it doesn't work with 1060 currently, I'll be releasing the 1060 update later.

    Version 1.3.0 is now available for download, it should work correctly, if it doesn't let me know, with any errors, and I'll look into the reason.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 18, 2016
  26. Offline

    Sekky

    Hey Lappy,
    I tried the new build, and while the plugin is no longer throwing errors, it is also not working. I am getting kicked for Flying (Zombe). I have BukkitPermissions and Superperms if that matter.
     
  27. Offline

    Lappy

    Were you OP at the time or in a group with the node?
     
  28. Offline

    Sekky

    In a group with the node and op, but I believe I have turned the OP fallback off.
     
  29. Offline

    Lappy

    Can't see why it wouldn't work, I'll look into it for you later today, it's pretty late/early right now. =]
     
  30. Offline

    Sekky

    I can post my permissions config if you'd like, but I can wait until tomorrow. :D
     
  31. Offline

    Lappy

    PMing it to me would be more helpful than posting it here :3
     

Share This Page